Subject: TEST: Sleep patch #6

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 01 Dec 2004 16:03:28 +1100

(As usual, I'm cross posting several lists, please don't reply to all of them,
and CC me as I'm not subscribed to all of them neither)

Ok, here's the 6th version of the sleep patch for ATI based albooks &
iBook G4. Other machine users, please test too as it may cause
regressions (or improvements) as well.

This one fixes finally the cache flush problem that made cpufreq (on machines
using the PMU for the switch) and sleep/wake unreliable occasionally (memory
corruption would occur on some CPUs at least). It improves bits here or there
too, and adds the sungem wake-on-lan feature. 

There are still pending issues, like cpufreq on some machines will
"think" it's running at full speed on wakeup while it's in fact running
at slow speed (thankfully not the opposite). I don't think I'll fix this one
in 2.6.9, but rather in 2.6.10.

http://gate.crashing.org/~benh/albook-ibookg4-sleep-6.diff

I'll post a 2.6.10-rc2-bk* based version of the patch soon.

Ben.